
Summary:	Graphical client for Firebird
Name:		flamerobin
Version:	0.9.3.1
Release:	%mkrel 27
License:	BSD-like
Group:		Databases
URL:		http://www.flamerobin.org/
Source0:	https://github.com/mariuz/flamerobin/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		0001-Fix-3-with-deprecated-methods-in-wx3.1.patch
BuildRequires:	firebird-devel >= 2.0.0.12748
BuildRequires:  pkgconfig(fbclient)
BuildRequires:	wxgtk-devel
BuildRequires:	imagemagick
BuildRequires:	sed
BuildRequires:	boost-devel

%description
FlameRobin is a database administration tool for Firebird DBMS based on wxgtk
toolkit.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--with-wx-config=wx-config \
	--disable-debug \
	--mandir=%{_mandir}/
%make_build

%install
%make_install

sed "s@Categories=Development;Database;GTK@Categories=Development;Database;Application;@" \
	-i %{buildroot}/%{_datadir}/applications/%{name}.desktop
echo Encoding=UTF-8 >> %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -d %{buildroot}{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
convert -size 16x16 ./res/fricon128.png %{buildroot}%{_miconsdir}/%{name}.png
convert -size 32x32 ./res/fricon128.png %{buildroot}%{_iconsdir}/%{name}.png
convert -size 48x48 ./res/fricon128.png %{buildroot}%{_liconsdir}/%{name}.png

%files
%doc docs/*
%{_mandir}/man1/flamerobin.1*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Wed Jun 19 2024 wally <wally> 0.9.3.1-27.mga10
+ Revision: 2075331
- rebuild for boost 1.85.0

* Fri Jan 12 2024 wally <wally> 0.9.3.1-26.mga10
+ Revision: 2030528
- rebuild for boost 1.84.0

* Wed Sep 27 2023 wally <wally> 0.9.3.1-25.mga10
+ Revision: 1991433
- rebuild for boost 1.83.0

* Sat Dec 24 2022 wally <wally> 0.9.3.1-24.mga9
+ Revision: 1926466
- rebuild for boost 1.81.0

* Fri Jul 15 2022 wally <wally> 0.9.3.1-23.mga9
+ Revision: 1868987
- rebuild for wxgtk 3.2.0

* Sun Jul 03 2022 wally <wally> 0.9.3.1-22.mga9
+ Revision: 1867244
- rebuild for boost 1.79.0

* Sun Jun 12 2022 wally <wally> 0.9.3.1-21.mga9
+ Revision: 1864094
- rebuild for wxgtk 3.1.7

* Thu Apr 14 2022 wally <wally> 0.9.3.1-20.mga9
+ Revision: 1849871
- rebuild for wxgtk 3.1.6

* Mon Apr 04 2022 umeabot <umeabot> 0.9.3.1-19.mga9
+ Revision: 1842897
- Mageia 9 Mass Rebuild

* Sat Jan 15 2022 wally <wally> 0.9.3.1-18.mga9
+ Revision: 1768509
- rebuild for wxgtk 3.1.5 with working wxSizer::SetSizeHints()

* Sat Jan 01 2022 wally <wally> 0.9.3.1-17.mga9
+ Revision: 1765736
- rebuild for wxgtk 3.1.5 to resolve 'Symbol X has different size in shared object, consider re-linking' error

* Sun Dec 19 2021 wally <wally> 0.9.3.1-16.mga9
+ Revision: 1762688
- rebuild for boost 1.78.0

* Thu Sep 09 2021 wally <wally> 0.9.3.1-15.mga9
+ Revision: 1744623
- rebuild for boost 1.77.0

* Fri May 14 2021 wally <wally> 0.9.3.1-14.mga9
+ Revision: 1722954
- rebuild for boost 1.76.0

* Fri Jan 01 2021 wally <wally> 0.9.3.1-13.mga8
+ Revision: 1667697
- rebuild for wxgtk pre 3.1.5 snapshot

* Thu Dec 31 2020 wally <wally> 0.9.3.1-12.mga8
+ Revision: 1666752
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 0.9.3.1-11.mga8
+ Revision: 1661994
- rebuild for boost 1.74.0

* Sun Aug 16 2020 wally <wally> 0.9.3.1-10.mga8
+ Revision: 1614336
- rebuild for new wxgtk 3.1.4

* Sun May 03 2020 wally <wally> 0.9.3.1-9.mga8
+ Revision: 1578048
- rebuild for boost 1.73.0

* Wed Feb 19 2020 umeabot <umeabot> 0.9.3.1-8.mga8
+ Revision: 1544680
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 0.9.3.1-7.mga8
+ Revision: 1483362
- rebuild for boost 1.72.0
- replace deprecated %%configure2_5x

* Tue Nov 12 2019 wally <wally> 0.9.3.1-6.mga8
+ Revision: 1459460
- rebuild for wxgtk 3.1.3

* Mon Jul 08 2019 wally <wally> 0.9.3.1-5.mga8
+ Revision: 1419525
- rebuild for wxgtk 3.1.2 with 2.8 compatibility

* Sun Jul 07 2019 wally <wally> 0.9.3.1-4.mga8
+ Revision: 1419392
- add upstream patch to fix build with wxgtk 3.1.2
- rebuild with gtk3 enabled wxgtk 3.1.2

* Tue Oct 16 2018 wally <wally> 0.9.3.1-3.mga7
+ Revision: 1321030
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 0.9.3.1-2.mga7
+ Revision: 1297714
- Mageia 7 Mass Rebuild

* Mon Dec 25 2017 wally <wally> 0.9.3.1-1.mga7
+ Revision: 1184852
- new version 0.9.3.1

* Mon Dec 25 2017 wally <wally> 0.9.3-0.20130924snap.14.mga7
+ Revision: 1184665
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 0.9.3-0.20130924snap.13.mga7
+ Revision: 1178318
- rebuild for boost 1.65

* Sun Sep 24 2017 daviddavid <daviddavid> 0.9.3-0.20130924snap.12.mga7
+ Revision: 1158434
- rebuild for new boost 1.64.0

* Sat Jun 03 2017 akien <akien> 0.9.3-0.20130924snap.11.mga6
+ Revision: 1106089
- Rebuild for wxgtk 3.0.3.1

* Mon Apr 11 2016 philippem <philippem> 0.9.3-0.20130924snap.10.mga6
+ Revision: 1000257
- add BR for Firebird3 client

* Sat Dec 26 2015 daviddavid <daviddavid> 0.9.3-0.20130924snap.9.mga6
+ Revision: 915169
- rebuild for new boost 1.60.0

* Fri Sep 25 2015 daviddavid <daviddavid> 0.9.3-0.20130924snap.8.mga6
+ Revision: 883693
- rebuild for new boost 1.59.0

* Fri Aug 28 2015 philippem <philippem> 0.9.3-0.20130924snap.7.mga6
+ Revision: 870645
- patch build for new Boost

* Sun Aug 02 2015 daviddavid <daviddavid> 0.9.3-0.20130924snap.6.mga6
+ Revision: 860526
- rebuild for new boost-1.58.0

* Wed Oct 15 2014 umeabot <umeabot> 0.9.3-0.20130924snap.5.mga5
+ Revision: 749382
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.3-0.20130924snap.4.mga5
+ Revision: 679223
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 barjac <barjac> 0.9.3-0.20130924snap.3.mga5
+ Revision: 586454
- rebuild against boost-1.55

* Sun Oct 20 2013 umeabot <umeabot> 0.9.3-0.20130924snap.2.mga4
+ Revision: 536773
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 philippem <philippem> 0.9.3-0.20130924snap.1.mga4
+ Revision: 485528
- Update to latest snapshot
- update to latest git snapshot (677a1b) to fix boost build problem

* Thu Aug 08 2013 philippem <philippem> 0.9.3-0.20130401snap.2.mga4
+ Revision: 464735
- Prune unnecessary content from tarball

* Wed Jul 10 2013 philippem <philippem> 0.9.3-0.20130401snap.1.mga4
+ Revision: 452596
- Fix fail build
- Update to 0.9.3

* Fri Jan 11 2013 umeabot <umeabot> 0.9.2-4.mga3
+ Revision: 350474
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 philippem <philippem> 0.9.2-3.mga3
+ Revision: 329795
+ rebuild (emptylog)

* Sat Jul 23 2011 ahmad <ahmad> 0.9.2-2.mga2
+ Revision: 128086
- Rebuild against wxgtk2.8 with enabled catch_segvs
- Use %%configure2_5x

* Mon Jan 10 2011 philippem <philippem> 0.9.2-1.mga1
+ Revision: 5309
- imported package flamerobin


* Thu Dec 09 2010 oden <oden> 0.9.2-1mdv2011.0
+ Revision: 618290
- the mass rebuild of 2010.0 packages

  + makowski <makowski>
    - remove old upstream src

* Sun Jul 26 2009 makowski <makowski> 0.9.2-0mdv2010.0
+ Revision: 400208
- New upstream

  + oden <oden>
    - lowercase ImageMagick

* Thu Jul 24 2008 tv <tv> 0.8.3-3mdv2009.0
+ Revision: 245195
- rebuild

* Thu Jan 31 2008 mrl <mrl> 0.8.3-1mdv2008.1
+ Revision: 160873
- New upstream: 0.8.3

  + blino <blino>
    - restore BuildRoot

  + tv <tv>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 18 2007 mrl <mrl> 0.8.1-1mdv2008.1
+ Revision: 99959
- Fix configure permission.
- New upstream: 0.8.1
- New upstream: 0.8.0

* Tue May 15 2007 mrl <mrl> 0.7.6-3mdv2008.0
+ Revision: 26964
- Rebuilt against new wx stuff.


* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 0.7.6-2mdv2007.0
+ Revision: 100700
- rebuild

* Mon Nov 27 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.7.6-1mdv2007.1
+ Revision: 87367
- New upstream: 0.7.6
- Added menu icon.

* Thu Nov 16 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.7.5-5mdv2007.1
+ Revision: 84903
- Added BuildRequires for ImageMagick: due to convert usage.
- Rebuilt against firebird 2.0 final.

* Thu Sep 07 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.7.5-4mdv2007.0
+ Revision: 60258
- New upstream: 0.7.5

* Wed Sep 06 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.7.2-4mdv2007.0
+ Revision: 59989
- Removed old-style menu entry. The new one (.desktop) will be added later.
- Import flamerobin

* Sat Sep 02 2006 Marcelo Ricardo Leitner <mrl@mandriva.com>
- Fixed BuildRequires.
- Removed hardcoded buildrequires to libraries: they should be automatic.
- Enhanced package description.

* Thu Aug 24 2006 Philippe Makowski <makowski@firebird-fr.eu.org> 
- change Requires to libfirebird2

* Thu Aug 17 2006 Philippe Makowski <makowski@firebird-fr.eu.org> 
- initial release

